/**  版本信息模板在安装目录下，可自行修改。
* T_FaultRepair_Base.cs
*
* 功 能： N/A
* 类 名： T_FaultRepair_Base
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/8/16 16:36:23   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace RMYY_CallCenter_Api.Model
{
	/// <summary>
	/// T_FaultRepair_Base:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_FaultRepair_Base
	{
		public T_FaultRepair_Base()
		{}
		#region Model
		private int _f_workorderid;
		private string _f_workordercode;
		private string _f_applicant;
		private string _f_applicationdept;
		private string _f_applicantsphone;
		private string _f_phone;
		private string _f_workordercategory;
		private string _f_content;
		private string _f_placeofrepair;
		private int? _f_workorderstate;
		private string _f_maintenancer;
		private string _f_maintenancedept;
		private DateTime? _f_assigntime;

        private DateTime? _f_accepttime;

        private DateTime? _f_endtime;
		private DateTime? _f_updatetime;
		private DateTime? _f_deadline;
		private string _f_createuser;
		private DateTime? _f_createtime;
		private string _f_createuserdept;
		private string _f_file;
		private int? _f_returnnum;
		private string _f_internalworkordercode;
		private string _f_externalworkordercode;
		private int? _f_isdelete=0;

        private int? _f_callrecordid;
        private int? _f_leaverecordid;
        private string _f_callid;
        private int? _f_score;
        private int? _f_myd;
        private DateTime? _f_stoptime;
        private DateTime? _f_arrivetime;
        private string _f_assignuser;
        private int f_replaycount = 0;

        private int f_confirmequip = 0;

        private string _f_emergencytypes;
        private string _f_deviceencode;


       //设备资产编码
        public string F_DeviceEncode
        {
            set { _f_deviceencode = value; }
            get { return _f_deviceencode; }
        }



        // 所有工单类型增加紧急字段，为单选（一般、紧急），默认为一般
        public string  F_EmergencyTypes
        {
            set { _f_emergencytypes = value; }
            get { return _f_emergencytypes; }
        }

        /// <summary>
        /// 默认=0，需要确认耗材=1 ，已确认耗材=2
        /// </summary>
        public int F_ConfirmEquip
        {
            set { f_confirmequip = value; }
            get { return f_confirmequip; }
        }


        public int F_ReplayCount
        {
            set { f_replaycount = value; }
            get { return f_replaycount; }
        }
        

        
         
        public string F_AssignUser
        {
            set { _f_assignuser = value; }
            get { return _f_assignuser; }
        }


        //到达时间
        public DateTime? F_ArriveTime
        {
            set { _f_arrivetime = value; }
            get { return _f_arrivetime; }
        }

        //挂起时间
        public DateTime?  F_StopTime
        {
            set { _f_stoptime = value; }
            get { return _f_stoptime; }
        }


        private int? _f_isstop = 0;

        ///是否挂起
        public int?  F_IsStop
        {
            set { _f_isstop = value; }
            get { return _f_isstop; }
        }

        public int? F_Score
        {
            set { _f_score = value; }
            get { return _f_score; }
        }
        //0 满意 1 一般 2 不满意
        public int? MYD
        {
            set { _f_myd = value; }
            get { return _f_myd; }
        }
        public string F_CallId
        {
            set { _f_callid = value; }
            get { return _f_callid; }
        }
        public int? F_LeaveRecordId
        {
            set { _f_leaverecordid = value; }
            get { return _f_leaverecordid; }
        }
        public int? F_CallRecordId
        {
            set { _f_callrecordid = value; }
            get { return _f_callrecordid; }
        }
        /// <summary>
        /// 
        /// </summary>
        public int F_WorkOrderId
		{
			set{ _f_workorderid=value;}
			get{return _f_workorderid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_WorkOrderCode
		{
			set{ _f_workordercode=value;}
			get{return _f_workordercode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Applicant
		{
			set{ _f_applicant=value;}
			get{return _f_applicant;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_ApplicationDept
		{
			set{ _f_applicationdept=value;}
			get{return _f_applicationdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Applicantsphone
		{
			set{ _f_applicantsphone=value;}
			get{return _f_applicantsphone;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Phone
		{
			set{ _f_phone=value;}
			get{return _f_phone;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_WorkOrderCategory
		{
			set{ _f_workordercategory=value;}
			get{return _f_workordercategory;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Content
		{
			set{ _f_content=value;}
			get{return _f_content;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_PlaceOfRepair
		{
			set{ _f_placeofrepair=value;}
			get{return _f_placeofrepair;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_WorkOrderState
		{
			set{ _f_workorderstate=value;}
			get{return _f_workorderstate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_Maintenancer
		{
			set{ _f_maintenancer=value;}
			get{return _f_maintenancer;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_MaintenanceDept
		{
			set{ _f_maintenancedept=value;}
			get{return _f_maintenancedept;}
		}
		/// <summary>
		/// 转派时间
		/// </summary>
		public DateTime? F_AssignTime
		{
			set{ _f_assigntime=value;}
			get{return _f_assigntime;}
		}
        /// <summary>
        /// 接单时间
        /// </summary>
        public DateTime? F_AcceptTime
        {
            set { _f_accepttime = value; }
            get { return _f_accepttime; }
        }
        /// <summary>
        /// 
        /// </summary>
        public DateTime? F_Endtime
		{
			set{ _f_endtime=value;}
			get{return _f_endtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_UpdateTime
		{
			set{ _f_updatetime=value;}
			get{return _f_updatetime;}
		}
		/// <summary>
		/// 截止日期
		/// </summary>
		public DateTime? F_Deadline
		{
			set{ _f_deadline=value;}
			get{return _f_deadline;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CreateUser
		{
			set{ _f_createuser=value;}
			get{return _f_createuser;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? F_CreateTime
		{
			set{ _f_createtime=value;}
			get{return _f_createtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_CreateUserDept
		{
			set{ _f_createuserdept=value;}
			get{return _f_createuserdept;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_File
		{
			set{ _f_file=value;}
			get{return _f_file;}
		}
		/// <summary>
		/// 返修次数
		/// </summary>
		public int? F_ReturnNum
		{
			set{ _f_returnnum=value;}
			get{return _f_returnnum;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_InternalWorkOrderCode
		{
			set{ _f_internalworkordercode=value;}
			get{return _f_internalworkordercode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string F_ExternalWorkOrderCode
		{
			set{ _f_externalworkordercode=value;}
			get{return _f_externalworkordercode;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? F_IsDelete
		{
			set{ _f_isdelete=value;}
			get{return _f_isdelete;}
		}
		#endregion Model

	}
}

